Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# ObjectStateDescription Class Reference

Describes the state of dynamic objects in a potential field. More...

`#include <PotentialfieldComposition.h>`

Collaboration diagram for ObjectStateDescription:

[legend]
List of all members.

## Public Member Functions
| ObjectStateDescription ()
| Constructor.
void | operator= (const ObjectStateDescription &other)
| Copy operator.
| ObjectStateDescription (const ObjectStateDescription &other)
| Copy-Constructor.
## Public Attributes
std::string | objectName
| The name of the object state symbol.
int | objectId
| The internal identifier.
PfPose | pose
| The pose of the object.
bool | isActive
| Flag: true, if the object is active.

## Detailed Description

Describes the state of dynamic objects in a potential field.

Definition at line 76 of file PotentialfieldComposition.h.

## Constructor & Destructor Documentation

ObjectStateDescription::ObjectStateDescription | ( |  | ) | `[inline]`

| Constructor. Definition at line 89 of file PotentialfieldComposition.h.

ObjectStateDescription::ObjectStateDescription | ( | const ObjectStateDescription & | other | ) | `[inline]`

  | Copy-Constructor. Parameters:
  other | Another ObjectStateDescription
Definition at line 106 of file PotentialfieldComposition.h. References isActive, objectId, objectName, and pose.

## Member Function Documentation

void ObjectStateDescription::operator= | ( | const ObjectStateDescription & | other | ) | `[inline]`

  | Copy operator. Parameters:
  other | Another ObjectStateDescription
Definition at line 95 of file PotentialfieldComposition.h. References isActive, objectId, objectName, and pose.

## Member Data Documentation

std::string ObjectStateDescription::objectName

| The name of the object state symbol. Definition at line 80 of file PotentialfieldComposition.h. Referenced by PotentialfieldComposition::addDynamicObjectState(), GTStandardConverter::load(), ObjectStateDescription(), operator=(), and PotentialfieldComposition::setObjectState().

int ObjectStateDescription::objectId

| The internal identifier. Definition at line 82 of file PotentialfieldComposition.h. Referenced by PotentialfieldComposition::addDynamicObjectState(), GTStandardConverter::load(), ObjectStateDescription(), operator=(), and PotentialfieldComposition::setObjectState().

PfPose ObjectStateDescription::pose

| The pose of the object. Definition at line 84 of file PotentialfieldComposition.h. Referenced by GTStandardConverter::execute(), ObjectStateDescription(), operator=(), GTStandardConverter::setData(), PotentialfieldComposition::setObjectState(), and PotentialFieldsObject::updateData().

bool ObjectStateDescription::isActive

| Flag: true, if the object is active. Definition at line 86 of file PotentialfieldComposition.h. Referenced by PotentialfieldComposition::addDynamicObjectState(), GTStandardConverter::execute(), GTStandardConverter::load(), ObjectStateDescription(), operator=(), GTStandardConverter::setData(), PotentialfieldComposition::setObjectState(), and PotentialFieldsObject::updateData().

The documentation for this class was generated from the following file:

- Tools/PotentialFields/PotentialfieldComposition.h